<?php

declare(strict_types=1);

// if you need to change this, keep in mind the changes need to be done in
// Configuration/TypoScript/Common/setup.typoscript for TYPO3 9, too
return [
	\SGalinski\SgNews\Domain\Model\News::class => [
		'tableName' => 'pages',
		'recordType' => \SGalinski\SgNews\Domain\Model\News::DOK_TYPE_NEWS,
		'properties' => [
			'highlighted' => [
				'fieldName' => 'tx_sgnews_highlighted'
			],
			'neverHighlighted' => [
				'fieldName' => 'tx_sgnews_never_highlighted'
			],
			'relatedNews' => [
				'fieldName' => 'tx_sgnews_related_news'
			],
			'newsAuthor' => [
				'fieldName' => 'tx_sgnews_news_author'
			],
			'lastUpdated' => [
				'fieldName' => 'lastUpdated'
			],
			'creationDate' => [
				'fieldName' => 'crdate'
			],
			'teaser1Image' => [
				'fieldName' => 'tx_sgnews_teaser1_image'
			],
			'teaser2Image' => [
				'fieldName' => 'tx_sgnews_teaser2_image'
			],
			'tags' => [
				'fieldName' => 'tx_sgnews_tags'
			],
			'likes' => [
				'fieldName' => 'tx_sgnews_likes'
			],
			'contentFromAnotherPage' => [
				'fieldName' => 'tx_sgnews_content_from_another_page'
			],
			'location' => [
				'fieldName' => 'tx_sgnews_location'
			],
			'dateEnd' => [
				'fieldName' => 'tx_sgnews_date_end'
			],
			'enableComments' => [
				'fieldName' => 'tx_sgnews_comments_enable'
			]
		]
	],
	\SGalinski\SgNews\Domain\Model\Category::class => [
		'tableName' => 'pages',
		'recordType' => \SGalinski\SgNews\Domain\Model\Category::DOK_TYPE_CATEGORY,
		'properties' => [
			'teaser1Image' => [
				'fieldName' => 'tx_sgnews_teaser1_image'
			],
			'teaser2Image' => [
				'fieldName' => 'tx_sgnews_teaser2_image'
			]
		]
	],
	\SGalinski\SgNews\Domain\Model\Tag::class => [
		'tableName' => 'sys_category'
	],
	\SGalinski\SgNews\Domain\Model\FileReference::class => [
		'tableName' => 'sys_file_reference'
	]
];
